kind: pipeline
name: Scripted_Pipeline

trigger:
  event:
    - push

steps:
- name: start
  image: node
  commands:
  - npm install

- name: deploy
  image: appleboy/drone-scp 
  settings:
    port: 22
    host: sancy.iut.uca.fr
    username: lafourcade
    target: public_html/Scripted
    source: View/* index.php
    key:
      from_secret: DEPLOY_KEY
    secrets: 
    - source: DEPLOY_KEY 
    rm: false